"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// @ts-ignore
const hashsum = require("hash-sum");
const idCache = Object.create(null);
/**
 * Generate unique id for specific file
 * @param {string} content
 * @return {string} Hash sum for the file path
 */
function genId(content) {
    if (!idCache[content]) {
        idCache[content] = `data-v-${hashsum(content)}`;
    }
    return idCache[content];
}
exports.genId = genId;
